Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226259 - Traceback generated when LANG isn't set
Summary: Traceback generated when LANG isn't set
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:35 UTC by David Rees
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 03:03:25 UTC


Attachments (Terms of Use)

Description David Rees 2007-01-31 20:35:43 UTC
Description of problem:
If you run smoltPrint or smoltSendProfile without the LANG environment variable
set to something, you get a Traceback.

Version-Release number of selected component (if applicable):
smolt-0.6.1-3.fc6

How reproducible:
Everytime

Steps to Reproduce:
1. unset LANG
2. run smoltPrint or smoltSendProfile
  
Actual results:
> smoltPrint
Traceback (most recent call last):
  File "/usr/bin/smoltPrint", line 8, in ?
    profile = Profile.Profile()
  File "/usr/share/smolt/client/Profile.py", line 37, in __init__
    self.language = os.environ['LANG']
  File "/usr/lib/python2.4/UserDict.py", line 17, in __getitem__
    def __getitem__(self, key): return self.data[key]
KeyError: 'LANG'
> smoltSendProfile
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 11, in ?
    profile = Profile.Profile()
  File "/usr/share/smolt/client/Profile.py", line 37, in __init__
    self.language = os.environ['LANG']
  File "/usr/lib/python2.4/UserDict.py", line 17, in __getitem__
    def __getitem__(self, key): return self.data[key]
KeyError: 'LANG'

Expected results:
Expect to see smolt either print or send data as expected.

Comment 1 Adam Huffman 2007-02-02 00:27:21 UTC
Yes, I've seen this too.

Comment 2 Mike McGrath 2007-02-05 03:03:25 UTC
Fixed, should be released soon.


Note You need to log in before you can comment on or make changes to this bug.